-- Kepler bootstrap file
-- Defines the default directories for Kepler
--
-- $Id: t_kepler_init.lua,v 1.18 2007/12/17 20:16:33 carregal Exp $

-- Library extension used in the system (dll, so etc)
local libext = [[LIB_EXT]]

-- Kepler applications directory
KEPLER_APPS = [[KEPLER_APPS]]

-- Kepler configuration directory
KEPLER_CONF = [[KEPLER_CONF]]

-- Kepler logs directory
KEPLER_LOG = [[KEPLER_LOG]]

-- Kepler C modules directory
KEPLER_LIB = [[KEPLER_LIB]]

-- Kepler Lua modules directory
KEPLER_LUA = [[KEPLER_LUA]]

-- Kepler temporary directory
KEPLER_TMP = [[KEPLER_TMP]]

-- Kepler default web directory
KEPLER_WEB  = [[KEPLER_WEB]]

-- CGILua globals (usually defined using KEPLER globals)
CGILUA_APPS = KEPLER_APPS.."/cgilua"
CGILUA_CONF = KEPLER_CONF.."/cgilua"
CGILUA_TMP = KEPLER_TMP
CGILUA_ISDIRECT = nil -- redefined in each WSAPI adapter

--------- end of parameters ------------

-- Allowed globals for CGILua running under Rings
RINGS_CGILUA_GLOBALS = {
    "KEPLER_APPS", "KEPLER_CONF", "KEPLER_LIB", "KEPLER_LOG", "KEPLER_LUA", "KEPLER_TMP", "KEPLER_WEB",
    "CGILUA_APPS", "CGILUA_CONF", "CGILUA_TMP", "CGILUA_ISDIRECT",
}

package.path = KEPLER_LUA..[[/?.lua;]]..KEPLER_LUA..[[/?/init.lua;]]..package.path
package.cpath = KEPLER_LIB..[[/?.]]..libext..";"..package.cpath