#!/usr/bin/env lua51

-- Kepler bootstrap
local bootstrap, err = loadfile("kepler_init.lua")
if bootstrap then
  bootstrap()
  RINGER_BOOTSTRAP = "kepler_init.lua"
else
  local ki = os.getenv"KEPLER_INIT"
  bootstrap, err = ki and loadfile(ki)
  if bootstrap then
    bootstrap()
    RINGER_BOOTSTRAP = ki
  else
    bootstrap, err = loadfile([[KEPLER_INIT]])
    if bootstrap then 
      bootstrap()
      RINGER_BOOTSTRAP = [[KEPLER_INIT]]
    else 
      error("could not load kepler_init.lua")
    end
  end
end

CGILUA_ISDIRECT = false

local fastcgi = require"wsapi.fastcgi"

require"wsapi.ringer"

RINGER_APP = "wsapi.sapi"

fastcgi.run(wsapi.ringer.run)
